#pragma once

// Standard includes
#include <string>
#include <vector>
#include <regex>

// Personal includes
#include "PT2026Types.h"

namespace MTL {
	namespace Instrument {
		namespace PT2026Types {

			//----------------------------------------------------------------------//
			//							Conversion Utilities						//
			//----------------------------------------------------------------------//
			U16 BinaryToU16(const char pBinary[2]);
			I16 BinaryToI16(const char pBinary[2]);
			U32 BinaryToU32(const char pBinary[4]);
			I32 BinaryToI32(const char pBinary[4]);
			F32 BinaryToF32(const char pBinary[4]);
			U64 BinaryToU64(const char pBinary[8]);
			F64 BinaryToF64(const char pBinary[8]);
			bool StringToUnits(std::string SUnits, eUnits & rUnits);
			std::string UnitsToString(eUnits Units);
			bool StringtoExtendedChannel(std::string sExtChan, sExtendedChannel & rExtChan);
			bool StringToExtendedChannelList(std::string SExtChanList, CExtendedChannelList & rExtChanList);

			bool TestPT2026Types();

		} // namespace PT2026Types
	} // namespace Instrument
} // namespace MTL
